﻿using Microsoft.AspNetCore.Components;
using System.Collections.Generic;

namespace Blazor.Pages
{
    public partial class ProjectBarTemplate
    {
        [Parameter]
        public GanttChartElement GanttChartContext { get; set; }

        private string GetStatusValue(int statusId)
        {
            var egpStatusDictionary = new Dictionary<EvidenceGenerationProjectStatus, string> {
                { EvidenceGenerationProjectStatus.NotStarted, "Not started"  },
                { EvidenceGenerationProjectStatus.Ongoing , "Ongoing"  },
                { EvidenceGenerationProjectStatus.Completed, "Completed" },
                { EvidenceGenerationProjectStatus.OnHold, "On hold"   }
            };
            return egpStatusDictionary[(EvidenceGenerationProjectStatus)statusId];
        }

        private string GetIntervalValue(GanttChartElement project)
        {
            return project.StartDate.GetValueOrDefault().ToString("dd MMMM yyyy") + " - " +
                project.EndDate.GetValueOrDefault().ToString("dd MMMM yyyy");
        }
    }
}
