﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Blazor.Pages
{
    public class QueryParamState
    {
        private readonly Dictionary<string, QueryParamData> queryParamsState;

        public IReadOnlyDictionary<string, QueryParamData> QueryParams => queryParamsState;

        public QueryParamState()
        {
            queryParamsState = new Dictionary<string, QueryParamData>();
        }

        public void SetState(string paramName, string paramValue, string parentUri)
        {
            queryParamsState[paramName] = new QueryParamData
            {
                Name = paramName,
                ParentUri = parentUri,
                Value = paramValue
            };
        }

        public QueryParamData RemoveParam(string paramName)
        {
            QueryParamData paramData = null;

            if (queryParamsState.ContainsKey(paramName))
                paramData = queryParamsState[paramName];

            queryParamsState.Remove(paramName);

            return paramData;
        }
    }

    public class QueryParamData
    {
        public string ParentUri { get; set; }

        public string Value { get; set; }

        public string Name { get; set; }
    }
}
