﻿using Microsoft.AspNetCore.Components;

namespace Blazor.Pages
{
    public enum TabVariant
    {
        Underline, Box
    }

    public class TabChild : ComponentBase
    {
        [Parameter]
        public string Header { get; set; }

        [Parameter]
        public RenderFragment Content { get; set; }

        [Parameter]
        public string QueryParamIdentifier { get; set; }

        [Parameter]
        public string CssClass { get; set; }

        [CascadingParameter(Name = "ParentTab")]
        public Tab ParentTab { get; set; }

        protected override void OnInitialized()
            => ParentTab.TabChildren.Add(this);
    }
}
